Subject: Re: bug#64625: 30.0.50; deleting a focused child frame causes Emacs to ignore all input

From: Godefroy Vannoye <[email-masked]>
Date: Tue, 1 Jul 2025 11:59:55 +0100

Hi,

I started to have a look in pgtkterm.c, but since it's my first time looking
at the emacs C codebase I haven't yet understood the source of the bug.

Po Lu, if you could please give me some insight or starting trail to help
me investigate? I would like to help as much as possible.

Thanks in advance,

Cheers,

Godefroy

On 28/06/2025 09:57, Eli Zaretskii wrote:
> Ping! Ping!  Po Lu, please respond.
>
>> Cc: [email-masked], [email-masked]
>> Date: Sat, 07 Jun 2025 11:22:33 +0300
>> From: Eli Zaretskii <[email-masked]>
>>
>> Ping!  Po Lu, could you please chime in?
>>
>>> Cc: [email-masked]
>>> Date: Sat, 24 May 2025 13:01:51 +0300
>>> From: Eli Zaretskii <[email-masked]>
>>>
>>>> Date: Thu, 22 May 2025 09:02:22 +0200
>>>> Cc: [email-masked]
>>>> From: Godefroy Vannoye <[email-masked]>
>>>>
>>>> On 21/05/2025 15:22, Eli Zaretskii wrote:
>>>>
>>>>> Seems like PGTK-specific?
>>>>>
>>>> Indeed, the issue does not happen with a --with-x-toolkit=gtk3 emacs build.
>>> Po Lu, any comments or suggestions?
>>>
>>>
>>>
>>>
>>
>>
>>